/*
	Preparation Date : 2014-09-24
	Preparation By   : Rahmat
	Description      : Check status invoice
*/

CREATE PROCEDURE [dbo].[SP_DLV_INV_CheckStatus]
	@Grid VARCHAR (MAX)
AS
BEGIN
		CREATE TABLE #TEMP(
			INV_NO VARCHAR(30),
			STATUS VARCHAR (20)
		);

		DECLARE @FIELDS TABLE(ID INT,ITEM VARCHAR(MAX));
				
		DECLARE @INVOICE_NO VARCHAR (30),
						@INVOICE_DT VARCHAR (11),
						@LP_CD VARCHAR (5),
						@STATUS VARCHAR(30);

		DECLARE @ID varchar(11),@ITEM varchar(MAX);
		
		INSERT INTO @FIELDS
		SELECT ItemNumber, Item FROM dbo.FN_DLV_ATD_EXPLODE(@Grid,',');


		--SELECT * FROM @FIELDS;

		DECLARE BTMP_EXPLODE CURSOR
		FOR
		SELECT ID, ITEM FROM @FIELDS;			

		OPEN BTMP_EXPLODE;
		FETCH NEXT FROM BTMP_EXPLODE INTO
		@ID,@ITEM;

		WHILE @@FETCH_STATUS = 0
		BEGIN

					SET @STATUS			= (SELECT DISTINCT STATUS_CD 
														 FROM TB_R_DLV_INV_UPLOAD  
														 WHERE LP_INV_NO+CAST(SEQ_NO AS VARCHAR) = @ITEM);
									
					INSERT INTO #TEMP VALUES (@ITEM, @STATUS);
									
																
		FETCH NEXT FROM BTMP_EXPLODE INTO
		@ID,@ITEM
		END;
		CLOSE BTMP_EXPLODE;
		DEALLOCATE BTMP_EXPLODE;

	
		--SELECT * FROM #TEMP;

		DECLARE @ROW_COUNT INT, @COUNT_STATUS INT;


		SET @ROW_COUNT = (SELECT COUNT(*) FROM #TEMP);
		SET @COUNT_STATUS = (SELECT COUNT(*) FROM #TEMP WHERE STATUS IN ('2','3'));



		IF (@ROW_COUNT = @COUNT_STATUS) BEGIN

				SELECT 'TRUE' as result;

		END 
		ELSE BEGIN
				SELECT 'TRUE' as result;
		END
		
END

